Skip to main content
DELETE
Delete workspace permission

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

organizationName
string
required

The unique identifier of the organization Standard identifier pattern for resource names

Pattern: ^[a-zA-Z0-9_ -]+$
workspaceName
string
required

The unique identifier of the workspace Workspace name pattern. Allows any character except / (would split the FGA resource path — see ResourceIdentifier.parseFromFga) and * (FGA wildcard). 1-63 chars.

Pattern: ^(?!.*\*)(?!.*[/]).{1,63}$
userGroupId
string
required

The unique identifier of the user or group A resource identifier that uniquely identifies either a user or a group within the system. This identifier is used throughout the API for permission management and access control.

Format:

  • For users: user:{email} or user:{userId}
  • For groups: group:{groupName}
Pattern: ^(user:[a-zA-Z0-9._%+-]+@[a-zA-Z0-9.-]+\.[a-zA-Z]{2,}|group:[a-zA-Z0-9._-]+)$

Response

Workspace permission deleted successfully